using UnityEngine;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            CategoryBuilder.Create("Far cry 3", "Far cry 3 things.", ModAPI.LoadSprite("Far Cry 3 CAT.png"));

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Jason Brody",
                    DescriptionOverride = "Jason Brody is main character in Far cry 3.",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("JasonA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("JasonB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Vaas Montenegro",
                    DescriptionOverride = "Vaas Montenegro is Antagonists in Far Cry 3",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("VaasA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("VaasB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Pirate Assaulter",
                    DescriptionOverride = "Pirate Assaulter was just a enemy",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("PiratAssA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("PiratAssB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Pirate Defender",
                    DescriptionOverride = "Pirate Defender was just a enemy",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("PiratDefA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("PiratDefB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Pirate Sniper",
                    DescriptionOverride = "Pirate Sniper was just a enemy",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("PiratSniA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("PiratSniB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Pirate Charger",
                    DescriptionOverride = "Pirate Charger was just a enemy",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("PiratChaA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("PiratChaB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Pirate Molotov thrower",
                    DescriptionOverride = "Pirate Molotov thrower was just a enemy",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("PiratMolA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("PiratMolB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Pirate Berserker",
                    DescriptionOverride = "Pirate Berserker was just a enemy",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("PiratBerA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("PiratBerB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Pirate RPG",
                    DescriptionOverride = "Pirate RPG was just a enemy",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("PiratRPGA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("PiratRPGB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Pirate Heavy Gunner",
                    DescriptionOverride = "Pirate Heavy Gunner was just a enemy",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("PiratHeaA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("PiratHeaB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Privateer Assaulter",
                    DescriptionOverride = "Privateer Assaulter was just a better enemy",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("PrivateerAssA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("PrivateerAssB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Privateer Charger",
                    DescriptionOverride = "Privateer Charger was just a better enemy",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("PrivateerChaA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("PrivateerChaB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Privateer Defender",
                    DescriptionOverride = "Privateer Defender was just a better enemy",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("PrivateerDefA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("PrivateerDefB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Privateer Heavy Gunner",
                    DescriptionOverride = "Privateer Heavy Gunner was just a better enemy",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("PrivateerHeaA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("PrivateerHeaB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Privateer RPG Shooter",
                    DescriptionOverride = "Privateer RPG Shooter was just a better enemy",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("PrivateerRPGA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("PrivateerRPGB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Privateer Sniper",
                    DescriptionOverride = "Privateer Sniper was just a better enemy",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("PrivateerSniA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("PrivateerSniB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Liza Snow",
                    DescriptionOverride = "Liza Snow was a Jason girlfriend",
                    CategoryOverride = ModAPI.FindCategory("Far cry 3"),
                    ThumbnailOverride = ModAPI.LoadSprite("LizaA.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
                      var skin = ModAPI.LoadTexture("LizaB.png");
                                 //get person
                                 var person = Instance.GetComponent<PersonBehaviour>();

                                 //use the helper function to set each texture
                                 //parameters are as follows:
                                 //  skin texture, flesh texture, bone texture, sprite scale
                                 //you can pass "null" to fall back to the original texture
                                 person.SetBodyTextures(skin, null, null, 1);

                                 //change procedural damage colours if they interfere with your texture (rgb 0-255)
                                 person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                 person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                 person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
                                 person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                 person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
                    }
                }
            );
        }
    }
}
